Skip to main content
GET
Get Location by Label

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the referenced Warehouse.

label
string
required

The location's human-readable label and barcode value (without barcode prefix). Be sure to url-encode the the value to avoid special characters being interpreted as not part of the label.

Query Parameters

fields
enum<string>[]

Specify additional fields of the Location object to be included in the response.

Available options:
basic,
all,
label,
priority,
qty_on_hand,
qty_putaway,
qty_unreserved,
qty_reserved,
qty_locked,
is_temp,
is_pickable,
is_type_auto,
created_at,
updated_at,
last_cyclecount_at,
lot,
product,
rack,
location_type
fields:lot
enum<string>[]

Specify additional fields of the Lot object to be included in the response.

Available options:
basic,
all,
id,
lot_number,
origination_date,
expiration_date,
is_expired,
is_active,
lot_number_input,
expiration_input,
sort_value,
days_until_expiration,
sort_direction,
group_value,
created_at,
updated_at,
created_by,
lot_type,
product
fields:product
enum<string>[]

Specify additional fields of the Product or Packaging* object to be included in the response.

Available options:
basic,
all,
created_at,
updated_at,
container_options,
supplies_options,
data_collection_options,
instruction_options,
infill_options,
vendor_sku,
external_id,
barcodes,
goods_type,
is_available,
is_visible,
weight,
dimensions,
volume,
inventory,
export,
regulated_goods,
packaging,
custom_fields
fields:rack
enum<string>[]

Specify additional fields of the Rack object to be included in the response.

Available options:
all,
id,
name,
rack_type,
location_pattern,
picking_order,
warehouse
fields:location_type
enum<string>[]

Specify additional fields of the LocationType object to be included in the response.

Available options:
basic,
all,
name,
is_pickable,
slot_dimensions,
created_at,
updated_at

Response

OK

resource
Location · object

A Location describes a user-specified inventory address within a warehouse.

included
object

Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.